package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.UserAllocation;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 用户分配
 * @Author: jeecg-boot
 * @Date: 2019-08-08
 * @Version: V1.0
 */
public interface IUserAllocationService extends IService<UserAllocation> {

    UserAllocation getByAccountId(Long accountId);

    List<UserAllocation> getByParams(Long projectId, String systemType,Integer accountStatus);

    Map<String, Object> getPangolinAccountListByParams(String userId, JSONObject data);

    Map<String, Object> getPangolinProjectListByParams(String userId);

    List<UserAllocation> getByMediaId(String mediaId);

    List<UserAllocation> listByMediaId(String mediaId, int accountStatus);

    String getAdvertiserIdByAccountId(Long accountId);

    List<JSONObject> getAccountListByProject(Long projectId);

    List<JSONObject> getUserIdListByProjectId(Long projectId);

    List<JSONObject> getAccountIdListByUserId(Long userId);

    List<JSONObject> getAccountIdsByUserId(String userId);

    List<UserAllocation> getUserAllocations(String mediaId ,int switchType);

    JSONObject getSwitchStatusByAccount(Long accountId);

    List<Long> getAccountsByDeleteComment();

    Map<Long, List<JSONObject>> getAccountListByProjectList(List<JSONObject> projectList);


}
